import transactionDataMaintain from "./transactionDataMaintain";
import creditQuery from "./creditQuery";
import creditEvaluationRules from "@/page/transaction/creditAssess/creditEvaluationRules";

export default [
    {
        path: '/transaction/creditAssess/transactionDataMaintain/index',
        name: 'transactionDataMaintain',
        component: {
            render(c) {
                return c('router-view')
            }
        },
        meta: {
            title: '成交数据维护'
        },
        children: transactionDataMaintain
    },
    {
        path: '/transaction/creditAssess/creditQuery/index',
        name: 'creditQuery',
        component: {
            render(c) {
                return c('router-view')
            }
        },
        meta: {
            title: '信用查询'
        },
        children: creditQuery
    },
    {
        path: '/transaction/creditAssess/creditEvaluationRules',
        name: 'creditEvaluationRules',
        component: creditEvaluationRules,
        meta: {
            title: '信用评定规则维护'
        },
        
    },
]