import index from '@/page/transaction/tradeEntrust/goodsSourceTable/index.vue'
import detail from '@/page/transaction/tradeEntrust/goodsSourceTable/detail.vue'
import plan from '@/page/transaction/tradeEntrust/goodsSourceTable/plan.vue'
import publish from '@/page/transaction/tradeEntrust/goodsSourceTable/publish.vue'
export default [
    {
        // 货源表
        path: '/transaction/tradeEntrust/goodsSourceTable/index',
        name: 'goodsSourceTable',
        component: index,
    },
    {
        // 详情
        path: '/transaction/tradeEntrust/goodsSourceTable/detail',
        name: 'goodsSourceTableDetail',
        meta:{
            title:'委托详情',
        },
        component: detail,
    },
    {
        path: '/transaction/tradeEntrust/goodsSourceTable/plan',
        name: 'goodsSourceTablePlan',
        meta:{
            title:'详情',
        },
        component: plan,
    
    },
    {
        path: '/transaction/tradeEntrust/goodsSourceTable/confirm',
        name: 'goodsSourceTableConfirm',
        meta:{
            title:'审核',
        },
        component: plan,
    },
    {
        path: '/transaction/tradeEntrust/goodsSourceTable/publish',
        name: 'goodsSourceTablePublish',
        meta:{
            title:'交易详情',
        },
        component: publish,
    }
]