import index from '@/page/transaction/tradePlan/outInDepotEntrust/index.vue'
import detail from '@/page/transaction/tradePlan/outInDepotEntrust/detail.vue'
import publish from '@/page/transaction/tradePlan/outInDepotEntrust/publish.vue'

export default [
    {
        // 出入库委托书
        path: '/transaction/tradePlan/outInDepotEntrust/index',
        name: 'outInDepotEntrust',
        component: index,
    },
    {
        // 新增
        path: '/transaction/tradePlan/outInDepotEntrust/add',
        name: 'outInDepotEntrustAdd',
        meta:{
            title:'新增'
        },
        component: detail,
    },
    {
        // 详情
        path: '/transaction/tradePlan/outInDepotEntrust/detail',
        name: 'outInDepotEntrustDetail',
        meta:{
            title:'详情'
        },
        component: detail,
    },
    {
        // 修改
        path: '/transaction/tradePlan/outInDepotEntrust/update',
        name: 'outInDepotEntrustUpdate',
        meta:{
            title:'修改'
        },
        component: detail,
    },
    {
        // 确认
        path: '/transaction/tradePlan/outInDepotEntrust/confirm',
        name: 'outInDepotEntrustConfirm',
        meta:{
            title:'确认'
        },
        component: detail,
    },
    {
        // 发布公告
        path: '/transaction/tradePlan/outInDepotEntrust/publish',
        name: 'outInDepotEntrustPublish',
        meta:{
            title:'公告'
        },
        component: publish,
    },
]