export const zlbzList = {
    "小麦": {
        "符合标准": {
            "销售": "质量符合GB1351三等标准，交易会前公示的质量检测数据供参考。",
            "采购": "1.质量指标符合GB 1351三等要求。<br/>2.污染物指标须符合GB 2762要求。<br/>3.真菌毒素指标须符合GB 2761要求。<br/>4.农药残留限量须符合GB 2763要求。<br/>5.储存品质指标符合GB/T 20571要求。"
        },
        "检测项目要求": "1.质量指标全项：容重、不完善粒、杂质、水分、色泽、气味。<br/>2.污染物指标：总砷、总汞、铅、镉。<br/>3.真菌毒素指标：脱氧雪腐镰刀菌烯醇、玉米赤霉烯酮。<br/>4.农药残留限量：敌敌畏、辛硫磷、马拉硫磷。<br/>5.储存判定指标：色泽、气味、面筋吸水量、品尝评分值。"
    },
    "稻谷": {
        "符合标准": {
            "销售": "质量符合GB 1350三等标准，交易会前公示的质量检测数据供参考。",
            "采购": "1.质量指标符合GB 1350三等要求。<br/>2.污染物指标须符合GB 2762要求。<br/>3.真菌毒素指标须符合GB 2761要求。<br/>4.农药残留限量须符合GB 2763要求。<br/>5.储存品质指标符合GB/T 20569要求。"
        },
        "检测项目要求": "1.质量指标全项：出糙率、整精米率、杂质含量、水分含量、黄粒米含量、谷外糙米含量、互混率、色泽、气味。<br/>2.污染物指标：无机砷、总汞、铅、镉。<br/>3.真菌毒素指标：黄曲霉毒素B1。<br/>4.农药残留限量：敌敌畏、辛硫磷、马拉硫磷。<br/>5.储存判定指标：色泽、气味、脂肪酸值、品尝评分值。"
    },
    "米": {
        "符合标准": {
            "销售": "质量符合GB/T 1354一级标准，交易会前公示的质量检测数据供参考。",
            "采购": "1.质量指标符合GB/T 1354一级要求。<br/>2.污染物指标须符合GB 2762要求。<br/>3.真菌毒素指标须符合GB 2761要求。<br/>4.农药残留限量须符合GB 2763要求。"
        },
        "检测项目要求": "1.质量指标全项：加工精度、碎米总量、小碎米含量、不完善粒、杂质、水分、黄粒米、互混率、色泽、气味。<br/>2.污染物指标：无机砷、总汞、铅、镉。<br/>3.真菌毒素指标：黄曲霉毒素B1。<br/>4.农药残留限量：敌敌畏、辛硫磷、马拉硫磷。"
    },
    "小麦粉": {
        "符合标准": {
            "销售": "质量符合GB 1355特制一等标准，交易会前公示的质量检测数据供参考。",
            "采购": "1.质量指标符合GB/T 1355精制粉要求。<br/>2.污染物指标须符合GB 2762要求。<br/>3.真菌毒素指标须符合GB 2761要求。<br/>4.农药残留限量须符合GB 2763要求。<br/>5.过氧化苯甲酰不得检出。"
        },
        "检测项目要求": "1.质量指标全项：加工精度、灰分含量、脂肪酸值、水分含量、含砂量、磁性金属物、色泽、气味、外观形态、湿面筋含量。<br/>2.污染物指标：总砷、总汞、铅、镉。<br/>3.真菌毒素指标：脱氧雪腐镰刀菌烯醇、玉米赤霉烯酮、黄曲霉毒素B1。<br/>4.农药残留限量：敌敌畏、辛硫磷、马拉硫磷。<br/>5.过氧化苯甲酰。"
    },
    "原油": {
        "符合标准": {
            "销售": "质量符合GB/T 1535标准，交易会前公示的质量检测数据供参考。",
            "采购": "1.质量指标符合GB/T 1535要求。<br/>2.污染物指标须符合GB 2762要求。<br/>3.真菌毒素指标须符合GB 2761要求。<br/>4.农药残留限量须符合GB 2763要求。<br/>5.储存品质指标符合《粮油储存品质判定规则》要求。"
        },
        "检测项目要求": "1.质量指标全项：气味、滋味、水分及挥发物含量、不溶性杂质含量、过氧化值、溶剂残留量、酸价。<br/>2.污染物指标：总砷、铅、苯并[a]芘。<br/>3.真菌毒素指标：黄曲霉毒素B1。<br/>4.农药残留限量：辛硫磷、马拉硫磷。<br/>5.储存判定指标：过氧化值、酸价。"
    },
    "成品": {
        "符合标准": {
            "销售": "质量符合指标符合GB/T 1535一级标准，交易会前公示的质量检测数据供参考。",
            "采购": "1.质量指标符合GB/T 1535一级要求。<br/>2.污染物指标须符合GB 2762要求。<br/>3.真菌毒素指标须符合GB 2761要求。<br/>4.农药残留限量须符合GB 2763要求。<br/>5.储存品质指标符合《粮油储存品质判定规则》要求。"
        },
        "检测项目要求": "1.质量指标全项：色泽、气味、滋味、透明度、水分及挥发物含量、不溶性杂质含量、酸价、过氧化值、烟点、冷冻试验、溶剂残留量。<br/>2.污染物指标：总砷、铅、苯并[a]芘。<br/>3.真菌毒素指标：黄曲霉毒素B1。<br/>4.农药残留限量：辛硫磷、马拉硫磷。<br/>5.储存判定指标：过氧化值、酸价。"
    },
}

export function getDpz(val) {
    if (val.indexOf('小麦粉') > -1) {
        return "小麦粉"
    }
    if (val.indexOf('小麦') > -1) {
        return "小麦"
    }
    if (val.indexOf('稻谷') > -1) {
        return "稻谷"
    }
    if (val.indexOf('米') > -1) {
        return "米"
    }

    if (val.indexOf('原油') > -1) {
        return "原油"
    }
    if (val.indexOf('成品') > -1) {
        return "成品"
    }
}
