import index from '@/page/transaction/tradeEntrust/outInDepotEntrust/index.vue'
import detail from '@/page/transaction/tradeEntrust/outInDepotEntrust/detail.vue'
import publish from '@/page/transaction/tradeEntrust/outInDepotEntrust/publish.vue'

export default [
    {
        // 出入库委托书
        path: '/transaction/tradeEntrust/outInDepotEntrust/index',
        name: 'outInDepotEntrust',
        component: index,
    },
    {
        // 新增
        path: '/transaction/tradeEntrust/outInDepotEntrust/add',
        name: 'outInDepotEntrustAdd',
        meta: {
            title: '新增'
        },
        component: detail,
    },
    {
        // 详情
        path: '/transaction/tradeEntrust/outInDepotEntrust/detail',
        name: 'outInDepotEntrustDetail',
        meta: {
            title: '详情'
        },
        component: detail,
    },
    {
        // 修改
        path: '/transaction/tradeEntrust/outInDepotEntrust/update',
        name: 'outInDepotEntrustUpdate',
        meta: {
            title: '编辑'
        },
        component: detail,
    },
    {
        // 确认
        path: '/transaction/tradeEntrust/outInDepotEntrust/confirm',
        name: 'outInDepotEntrustConfirm',
        meta: {
            title: '盖章'
        },
        component: detail,
    },
    {
        // 审核
        path: '/transaction/tradeEntrust/outInDepotEntrust/audit',
        name: 'outInDepotEntrustAudit',
        meta: {
            title: '审核'
        },
        component: detail,
    },
    {
        // 发布公告
        path: '/transaction/tradeEntrust/outInDepotEntrust/publish',
        name: 'outInDepotEntrustPublish',
        meta: {
            title: '公告'
        },
        component: publish,
    },

]